IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[fn_TevkifatTutar]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
BEGIN 
DECLARE @SQL VARCHAR(4000) = '
create function [dbo].[fn_TevkifatTutar]
( @VergiTutar   float          = 0.0,
  @TevkifatOran nVarChar( 20 ) = ''''
) RETURNS float 

as

BEGIN

  /* NULL Kontrol */
  set @VergiTutar   = IsNull( @VergiTutar,
                              0
                            )

  set @TevkifatOran = IsNull( @TevkifatOran,
                              ''''
                            )

  /* Vergi Tutarı   = Vergi Matrahı * ( Vergi Oranı (%) / 100 )        */

  /* dbo.fn_KesirBolen sonucu asla SIFIR gelmez Sıfıra bölüm kontrolüne gerek yok */
                          /* Noktadan Sonra 2 Haneye Yuvarla                                                             */
  return dbo.FN_RoundBanker(   @VergiTutar
                             * (   dbo.fn_KesirBolunen( @TevkifatOran )
                                 / dbo.fn_KesirBolen( @TevkifatOran )
                               ),
                             2 
                           ) 

END
'

EXEC(@SQL)
END


